Active game listeners
Look up the Dark Pawns public HTTP API request and response contract for health checks, initial server setup, and currently active game listeners.
const url = 'https://example.com/connection-info';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/connection-infoPublic listener addresses for this server’s connection page. Disabled or failed listeners are omitted.
Responses
Section titled “Responses”OK
object
object
object
object
Example generated
{ "telnet": { "bind": "example", "port": 1 }, "telnet_tls": { "bind": "example", "port": 1 }, "whod": { "bind": "example", "port": 1 }}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}